Package org.apache.wiki.rss

## Class RSS10Feed

- java.lang.Object
- - org.apache.wiki.rss.Feed
  - - org.apache.wiki.rss.RSS10Feed

    public class RSS10Feed
    extends Feed

Provides an implementation of an RSS 1.0 feed. In addition, this class is capable of adding RSS 1.0 Wiki Extensions to the Feed, as defined in UseMod:ModWiki.

### Field Summary

### Fields inherited from class org.apache.wiki.rss.Feed

`m_channelDescription, m_channelLanguage, m_channelTitle, m_entries, m_feedURL, m_mode, m_wikiContext, VAR_BLOGNAME`

### Constructor Summary

Constructors
`RSS10Feed​(Context context)` Create an RSS 1.0 feed for a given context.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()` Returns the XML for the feed contents in a String format.

### Methods inherited from class org.apache.wiki.rss.Feed

`addEntry, format, getChannelDescription, getChannelLanguage, getChannelTitle, getFeedURL, getMimeType, getSiteName, setChannelDescription, setChannelLanguage, setChannelTitle, setFeedURL, setMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS10Feed

    public RSS10Feed​(Context context)

Create an RSS 1.0 feed for a given context.

Parameters:
  `context` - The WikiContext.

### Method Detail

#### getString

    public java.lang.String getString()

Returns the XML for the feed contents in a String format. All subclasses must implement.

Specified by:
  `getString` in class `Feed`
Returns:
  valid XML, ready to be shoved out.